net.minecraft.network.play.server

## Class S0EPacketSpawnObject

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S0EPacketSpawnObject

-     public class S0EPacketSpawnObject
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S0EPacketSpawnObject()`
    `S0EPacketSpawnObject(Entity p_i45165_1_, int p_i45165_2_)`
    `S0EPacketSpawnObject(Entity p_i45166_1_, int p_i45166_2_, int p_i45166_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_148993_l()`
    `int` | `func_148994_f()`
    `void` | `func_148995_b(int p_148995_1_)`
    `void` | `func_148996_a(int p_148996_1_)`
    `int` | `func_148997_d()`
    `int` | `func_148998_e()`
    `int` | `func_148999_i()`
    `void` | `func_149000_e(int p_149000_1_)`
    `int` | `func_149001_c()`
    `void` | `func_149002_g(int p_149002_1_)`
    `void` | `func_149003_d(int p_149003_1_)`
    `int` | `func_149004_h()`
    `void` | `func_149005_c(int p_149005_1_)`
    `int` | `func_149006_k()`
    `void` | `func_149007_f(int p_149007_1_)`
    `int` | `func_149008_j()`
    `int` | `func_149009_m()`
    `int` | `func_149010_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149011_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S0EPacketSpawnObject

          public S0EPacketSpawnObject()

    - #### S0EPacketSpawnObject

          public S0EPacketSpawnObject(Entity p_i45165_1_,
                              int p_i45165_2_)

    - #### S0EPacketSpawnObject

          public S0EPacketSpawnObject(Entity p_i45166_1_,
                              int p_i45166_2_,
                              int p_i45166_3_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149011_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149001_c

          public int func_149001_c()

    - #### func_148997_d

          public int func_148997_d()

    - #### func_148998_e

          public int func_148998_e()

    - #### func_148994_f

          public int func_148994_f()

    - #### func_149010_g

          public int func_149010_g()

    - #### func_149004_h

          public int func_149004_h()

    - #### func_148999_i

          public int func_148999_i()

    - #### func_149008_j

          public int func_149008_j()

    - #### func_149006_k

          public int func_149006_k()

    - #### func_148993_l

          public int func_148993_l()

    - #### func_149009_m

          public int func_149009_m()

    - #### func_148996_a

          public void func_148996_a(int p_148996_1_)

    - #### func_148995_b

          public void func_148995_b(int p_148995_1_)

    - #### func_149005_c

          public void func_149005_c(int p_149005_1_)

    - #### func_149003_d

          public void func_149003_d(int p_149003_1_)

    - #### func_149000_e

          public void func_149000_e(int p_149000_1_)

    - #### func_149007_f

          public void func_149007_f(int p_149007_1_)

    - #### func_149002_g

          public void func_149002_g(int p_149002_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`